%global dlrn_nvr oslo.db-8.5.2-1.20221011033702.26fd6fb
%global dlrn 1
%define upstream_version 8.5.2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa63ea142678138d1bb15f2e303bdfd64dd164087

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0
%global pypi_name oslo.db
%global pkg_name oslo-db

# guard for rhosp obsoletes
%global rhosp 1

%global common_desc \
The OpenStack Oslo database handling library. Provides database connectivity \
to the different backends and helper utils.

Name:           python-%{pkg_name}
Version: 8.5.2
Release: 1.20221011033702.26fd6fb%{?dist}
Summary:        OpenStack oslo.db library

License:        ASL 2.0
URL:            http://launchpad.net/oslo
Source0: oslo.db-8.5.2-1.20221011033702.26fd6fb.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=26fd6fbc1ca4229c81a99937979aa2628e8f5e33

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
%endif

BuildRequires:  git-core
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python3-%{pkg_name}
Summary:        OpenStack oslo.db library

%{?python_provide:%python_provide python3-%{pkg_name}}

%if 0%{rhosp} == 1
Obsoletes: python-%{pkg_name}-tests < %{version}-%{release}
Obsoletes: python2-%{pkg_name}-tests < %{version}-%{release}
%endif

BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# test requirements
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-oslo-config
BuildRequires:  python3-six
BuildRequires:  python3-fixtures
BuildRequires:  python3-oslotest
BuildRequires:  python3-oslo-context
# Required to compile translation files
BuildRequires:  python3-babel
BuildRequires:  python3-migrate
BuildRequires:  python3-alembic
BuildRequires:  python3-psycopg2
BuildRequires:  python3-testresources
BuildRequires:  python3-testscenarios

Requires:       python3-PyMySQL
%if 0%{?rhosp} == 0
Requires:       python3-pynacl
%endif
Requires:       python3-oslo-config >= 2:5.2.0
Requires:       python3-oslo-i18n >= 3.15.3
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-sqlalchemy >= 1.2.0
Requires:       python3-sqlalchemy < 1.4.0
Requires:       python3-stevedore >= 1.20.0
Requires:       python3-pbr
Requires:       python3-debtcollector >= 1.2.0
Requires:       python3-alembic >= 0.9.6
Requires:       python3-migrate >= 0.11.0
Requires:       python-%{pkg_name}-lang = %{version}-%{release}

%description -n python3-%{pkg_name}
%{common_desc}

%if 0%{?with_doc}
%package -n python-%{pkg_name}-doc
Summary:    Documentation for the Oslo database handling library

BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinxcontrib-apidoc
BuildRequires:  python3-openstackdocstheme

%description -n python-%{pkg_name}-doc
%{common_desc}

Documentation for the Oslo database handling library.
%endif

%package -n python3-%{pkg_name}-tests
Summary:    test subpackage for the Oslo database handling library

Requires:  python3-%{pkg_name} = %{version}-%{release}
Requires:  python3-oslo-utils
Requires:  python3-oslo-config
Requires:  python3-fixtures
Requires:  python3-oslotest
Requires:  python3-alembic
Requires:  python3-migrate
Requires:  python3-psycopg2
Requires:  python3-testresources
Requires:  python3-testscenarios

%description -n python3-%{pkg_name}-tests
%{common_desc}

Test subpackage for the Oslo database handling library.

%package  -n python-%{pkg_name}-lang
Summary:   Translation files for Oslo db library

%description -n python-%{pkg_name}-lang
%{common_desc}

Translation files for Oslo db library

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version} -S git

# Let RPM handle the dependencies
%py_req_cleanup

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# Generate i18n files
python3 setup.py compile_catalog -d build/lib/oslo_db/locale --domain oslo_db

%install
%{py3_install}

# Install i18n .mo files (.po and .pot are not required)
install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_db/locale/*/LC_*/oslo_db*po
rm -f %{buildroot}%{python3_sitelib}/oslo_db/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_db/locale %{buildroot}%{_datadir}/locale

# Find language files
%find_lang oslo_db --all-name

%check
python3 setup.py test

%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/oslo_db
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_db/tests

%if 0%{?with_doc}
%files -n python-%{pkg_name}-doc
%doc doc/build/html
%license LICENSE
%endif

%files -n python3-%{pkg_name}-tests
%{python3_sitelib}/oslo_db/tests

%files -n python-%{pkg_name}-lang -f oslo_db.lang
%license LICENSE

%changelog
* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 8.5.2-1.20221011033702.26fd6fb
- Update patches

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 8.5.2-1.20220906124106.26fd6fb
- Update patches
- Accommodate immutable URL api
- Don't use private API to get query criteria

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 8.5.1-1.20220727144217.3b452de
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 8.5.1-1.20220714144634.3b452de
- Update patches

* Mon Aug 23 2021 OSP Prod Chain <dev-null@redhat.com> 8.5.1-0.20210823081809.3b452de
- Update patches
- Followup of "Added handler for mysql 8.0.19 duplicate key error update"
- Remove lower-constraints remnants
- Dropping lower constraints testing
- Added handler for mysql 8.0.19 duplicate key error update
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Unblock wallaby gate

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 8.5.0-0.20210527192746.503db60
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 8.5.0-1
- Update patches

* Tue Feb 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate the 'oslo_db.sqlalchemy.migration_cli' module
- Deprecate 'oslo_db.sqlalchemy.migration' module
- Imported Translations from Zanata
- Adding pre-commit
- Add Python3 wallaby unit tests
- Update master for stable/victoria

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [goal] Migrate testing to ubuntu focal
- Bump bandit version

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- requirements: Drop os-testr
- Make test-setup.sh compatible with mysql8
- Align contributing doc with oslo's policy

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pygments style
- Set create_constraint=True for boolean constraint test

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix hacking min version to 3.0.1
- Switch to newer openstackdocstheme and reno versions
- Remove the unused coding style modules
- Remove translation sections from setup.cfg
- Bump default tox env from py37 to py38
- Add py38 package metadata
- Imported Translations from Zanata
- Add release notes links to doc index
- Remove use of deprecated LOG.warn
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Modernize use of table.count() with func.count()

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock
- Update hacking for Python3

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove 'handle_connect_error'
- Drop use of six
- Remove final references to mox
- Raise minimum SQLAlchemy version to 1.2.0
- remove outdated header
- reword releasenote for py27 support dropping
- Ignore releasenote artifacts files.
- gitignore: Add reno artefacts

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Remove 'handle_connect_error'
- Drop use of six
- Remove final references to mox
- Raise minimum SQLAlchemy version to 1.2.0
- remove outdated header
- reword releasenote for py27 support dropping
- Ignore releasenote artifacts files.
- gitignore: Add reno artefacts
- Remove 'handle_connect_error'
- Drop use of six
- Remove final references to mox
- Raise minimum SQLAlchemy version to 1.2.0
- remove outdated header
- reword releasenote for py27 support dropping
- Ignore releasenote artifacts files.
- gitignore: Add reno artefacts

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove 'handle_connect_error'
- Drop use of six
- Remove final references to mox
- Raise minimum SQLAlchemy version to 1.2.0
- remove outdated header
- reword releasenote for py27 support dropping
- Ignore releasenote artifacts files.
- gitignore: Add reno artefacts

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- Drop unittest2 usage
- tox: Trivial cleanup

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata
- Merge "Convert remaining use of mox"
- Convert remaining use of mox
- Remove deprecated class DbMigrationError since we already have DBMigrationError

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use regex to compare SQL strings with IN
- Merge "Bump the openstackdocstheme extension to 1.20"
- Merge "Reduce severity of wrapped exceptions logs to warning"
- Merge "Switch to official Ussuri jobs"
- Bump the openstackdocstheme extension to 1.20
- Reduce severity of wrapped exceptions logs to warning
- tox: Keeping going with docs
- Switch to official Ussuri jobs

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


